Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSMeetingMinutes Class Reference

Unsupported: The meeting minutes feature is currently not supported. More...

`#import <CSMeetingMinutes.h>`

Inherits NSObject.

## Instance Methods
(void) | - addMinuteMessage:ofType:personal:completionHandler:
| Adds meeting minute to conference. More...
(void) | - updateMinute:completionHandler:
| Updates meeting minute. More...
(void) | - removeMinute:completionHandler:
| Removes meeting minute from conference. More...

## Properties
id< CSMeetingMinutesDelegate > | delegate
| Unsupported: The delegate used to handle meeting minutes related events. More...
NSArray * | minutes
| An array of CSMinuteMessage objects representing the minutes of the meeting. More...
CSDataSet * | minuteMessages
| CSDataSet object containing the minute messages. More...

## Detailed Description

Unsupported: The meeting minutes feature is currently not supported.

The CSMeetingMinutes object provides access to meeting minutes related capabilities and actions.

The CSMeetingMinutes object is accessible via CSConference and CSCollaboration. Client is notified

## about status updates concerning conference chat via CSMeetingMinutesDelegate object.

Unsupported: This class and all of its supporting classes are for internal Avaya use only and should not be used by third party applications at this time. This is an incubating feature that is currently under development and the classes and methods associated with this feature are subject to change at any time. Use of this feature will not be supported by Avaya until such time that it is officially released.

See also
  CSMeetingMinutesDelegate
  CSCollaboration
  CSConference
  CSMinuteMessage

## Method Documentation

- (void) addMinuteMessage: |  | (NSString *) | messageContent
ofType: |  | (CSMinuteType) | type
personal: |  | (BOOL) | isPersonal
completionHandler: |  | (void(^)(CSMinuteMessage *message, NSError *error)) | handler

Adds meeting minute to conference.

Parameters

  messageContent | Content of minute.
  type | Type of the conference minute.
  isPersonal | Indicates if given minute is personal.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error. `message` If the operation was successful this parameter contains sent minute.

- (void) removeMinute: |  | (CSMinuteMessage *) | minuteMessage
completionHandler: |  | (void(^)(CSMinuteMessage *message, NSError *error)) | handler

Removes meeting minute from conference.

Parameters

  minuteMessage | Meeting minute to be removed.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error. `message` If the operation was successful this parameter contains removed minute.

- (void) updateMinute: |  | (CSMinuteMessage *) | minuteMessage
completionHandler: |  | (void(^)(CSMinuteMessage *message, NSError *error)) | handler

Updates meeting minute.

Parameters

  minuteMessage | Meeting minute to be updated.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error. `message` If the operation was successful this parameter contains updated minute.

## Property Documentation

- (id<CSMeetingMinutesDelegate>) delegate
| read write nonatomic weak

Unsupported: The delegate used to handle meeting minutes related events.

- (CSDataSet*) minuteMessages
| read nonatomic assign

CSDataSet object containing the minute messages.

Property is deprecated. Use the minutes property instead.

- (NSArray*) minutes
| read atomic copy

An array of CSMinuteMessage objects representing the minutes of the meeting.

The returned array is a snapshot in time and is not dynamically updated as the list changes. Updates to the minutes list (add, remove or update) are reported through the CSMeetingMinutesDelegate via the minutesDidChange message.

The documentation for this class was generated from the following file:

- CSMeetingMinutes.h